org.keycloak.userprofile.utils

## Class UserUpdateHelper

- java.lang.Object
- - org.keycloak.userprofile.utils.UserUpdateHelper

-     public class UserUpdateHelper
      extends Object

  Author:
    Markus Till

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserUpdateHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `updateAccount(RealmModel realm, UserModel user, UserProfile updatedProfile)`
    `static void` | `updateIdpReview(RealmModel realm, UserModel userModelDelegate, UserProfile updatedProfile)`
    `static void` | `updateRegistrationProfile(RealmModel realm, UserModel currentUser, UserProfile updatedUser)`
    `static void` | `updateRegistrationUserCreation(RealmModel realm, UserModel currentUser, UserProfile updatedUser)`
    `static void` | `updateUserProfile(RealmModel realm, UserModel user, UserProfile updatedProfile)`
    `static void` | `updateUserResource(RealmModel realm, UserModel user, UserProfile userRepresentationUserProfile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserUpdateHelper

          public UserUpdateHelper()

  - ### Method Detail

    - #### updateRegistrationProfile

          public static void updateRegistrationProfile(RealmModel realm,
                                                       UserModel currentUser,
                                                       UserProfile updatedUser)

    - #### updateRegistrationUserCreation

          public static void updateRegistrationUserCreation(RealmModel realm,
                                                            UserModel currentUser,
                                                            UserProfile updatedUser)

    - #### updateIdpReview

          public static void updateIdpReview(RealmModel realm,
                                             UserModel userModelDelegate,
                                             UserProfile updatedProfile)

    - #### updateUserProfile

          public static void updateUserProfile(RealmModel realm,
                                               UserModel user,
                                               UserProfile updatedProfile)

    - #### updateAccount

          public static void updateAccount(RealmModel realm,
                                           UserModel user,
                                           UserProfile updatedProfile)

    - #### updateUserResource

          public static void updateUserResource(RealmModel realm,
                                                UserModel user,
                                                UserProfile userRepresentationUserProfile)

Copyright © 2020 JBoss by Red Hat. All rights reserved.